Bug 728664 - Review Request: django-pylibmc - Django cache backend using pylibmc
Summary: Review Request: django-pylibmc - Django cache backend using pylibmc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 728662
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-06 08:27 UTC by Praveen Kumar
Modified: 2012-10-18 23:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-18 23:04:02 UTC
sanjay.ankur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Praveen Kumar 2011-08-06 08:27:58 UTC
Spec URL: http://kumarpraveen.fedorapeople.org/django-pylibmc/django-pylibmc.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/django-pylibmc/django-pylibmc-0.2.1-1.20110806gitb56e74.fc15.src.rpm
Description: Django-pylibmc package provides a memcached cache backend for Django using pylibmc. You want to use pylibmc because it's fast.

Comment 1 Ankur Sinha (FranciscoD) 2011-08-07 18:02:52 UTC
REVIEW:

+ OK
- NA
? ISSUE

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
+ Sources match upstream md5sum:
git checkout, confirmed using diff. 

- Package needs ExcludeArch
+ BuildRequires correct
- Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

- Package is a GUI app and has a .desktop file

+ Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
+ Package doesn't own any directories other packages own.
+ Package owns all the directories it creates.
+ No rpmlint output.
^^
[ankur@ankur SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/*.rpm ../SPECS/django-pylibmc.spec django-pylibmc-0.2.1-1.20110806gitb56e74.fc15.src.rpm 
django-pylibmc.noarch: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
django-pylibmc.noarch: W: spelling-error %description -l en_US memcached -> schemed
django-pylibmc.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
django-pylibmc.src: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
django-pylibmc.src: W: spelling-error %description -l en_US memcached -> schemed
django-pylibmc.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
django-pylibmc.src: W: invalid-url Source0: django-pylibmc-0.2.1.20110806gitb56e74.tar.xz
../SPECS/django-pylibmc.spec: W: invalid-url Source0: django-pylibmc-0.2.1.20110806gitb56e74.tar.xz
django-pylibmc.src: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
django-pylibmc.src: W: spelling-error %description -l en_US memcached -> schemed
django-pylibmc.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
django-pylibmc.src: W: invalid-url Source0: django-pylibmc-0.2.1.20110806gitb56e74.tar.xz
3 packages and 1 specfiles checked; 0 errors, 12 warnings.

ONLY MINOR SPELLING SUGGESTIONS. OK

+ final provides and requires are sane:
[ankur@ankur result]$ review-req-check 
== django-pylibmc-0.2.1-1.20110806gitb56e74.fc17.noarch.rpm ==
Provides:
django-pylibmc = 0.2.1-1.20110806gitb56e74.fc17

Requires:
python(abi) = 2.7

== django-pylibmc-0.2.1-1.20110806gitb56e74.fc17.src.rpm ==
Provides:

Requires:
python-devel  
python-setuptools  
python-pylibmc  
Django  


SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
- Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1. Again, only a cosmetic suggestion for the setup macro directory name. Can be a simple %{name}. 

I'll approve this as soon as python-pylibmc is approved and built for rawhide. (It's *blocking* this one)


Thanks,
Ankur

Comment 3 Praveen Kumar 2011-08-11 14:00:53 UTC
Koji Build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3265945

Comment 5 Ankur Sinha (FranciscoD) 2011-08-11 15:01:23 UTC
Okay! 

Nice work. Package is good to go.

[ankur@ankur SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-*/result/*.rpm
django-pylibmc.noarch: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
django-pylibmc.noarch: W: spelling-error %description -l en_US memcached -> schemed
django-pylibmc.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
django-pylibmc.src: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
django-pylibmc.src: W: spelling-error %description -l en_US memcached -> schemed
django-pylibmc.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
django-pylibmc.src: W: invalid-url Source0: django-pylibmc-0.2.1.20110806gitb56e74.tar.xz
django-pylibmc.noarch: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
django-pylibmc.noarch: W: spelling-error %description -l en_US memcached -> schemed
django-pylibmc.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
django-pylibmc.src: W: spelling-error Summary(en_US) backend -> backed, back end, back-end
django-pylibmc.src: W: spelling-error %description -l en_US memcached -> schemed
django-pylibmc.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
django-pylibmc.src: W: invalid-url Source0: django-pylibmc-0.2.1.20110806gitb56e74.tar.xz
4 packages and 0 specfiles checked; 0 errors, 14 warnings.


XXX APPROVED XXX
Ankur

Comment 6 Praveen Kumar 2011-08-11 16:22:57 UTC
New Package SCM Request
=======================
Package Name: django-pylibmc
Short Description: Django cache backend using pylibmc 
Owners: sundaram pjp kumarpraveen
Branches: f14 f15 el6

Comment 7 Gwyn Ciesla 2011-08-13 14:36:42 UTC
Git done (by process-git-requests).

Added f16.

Comment 8 Ankur Sinha (FranciscoD) 2012-10-18 23:04:02 UTC
Package available in repositories. Closing bug.


Note You need to log in before you can comment on or make changes to this bug.